package com.bocloud.cmp.model;

import java.util.List;

public class SanFabricPortModel {
    private String wwn;
    private String status;
    private Long index;
    private String type;
    private String speed;
    private String maxSpeed;
    private Boolean npivEnabled;
    private String domainPortNumber;
    private String fabricWwn;
    private List<String> statesSupported;
    private List<String> speedsSupported;
    private Long maxNpivLogins;
    private Boolean npivSupported;

    // cisc
    // 光纤口使用
    private String vsan; // 光纤口使用
    private String adminMode; // 管理模式
    private String trunkMode; // trunk模式
    private String operMode; // 操作模式
    private String sfp;

    // 物理口,隧道口使用
    private String mode;
    private String reason;
    private String protocol; // 隧道口

    // 管理口使用
    private String ip;
    private String mtu;

    // dell
    private String name;
    private String fcPortUuid;
    private String remark;
    private String sfpType;
    private String waveLength;
    private String sfpPower;
    private String maxBb;



    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getIndex() {
        return index;
    }

    public void setIndex(Long index) {
        this.index = index;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getMaxSpeed() {
        return maxSpeed;
    }

    public void setMaxSpeed(String maxSpeed) {
        this.maxSpeed = maxSpeed;
    }

    public Boolean getNpivEnabled() {
        return npivEnabled;
    }

    public void setNpivEnabled(Boolean npivEnabled) {
        this.npivEnabled = npivEnabled;
    }

    public String getDomainPortNumber() {
        return domainPortNumber;
    }

    public void setDomainPortNumber(String domainPortNumber) {
        this.domainPortNumber = domainPortNumber;
    }

    public String getFabricWwn() {
        return fabricWwn;
    }

    public void setFabricWwn(String fabricWwn) {
        this.fabricWwn = fabricWwn;
    }

    public List<String> getStatesSupported() {
        return statesSupported;
    }

    public void setStatesSupported(List<String> statesSupported) {
        this.statesSupported = statesSupported;
    }

    public List<String> getSpeedsSupported() {
        return speedsSupported;
    }

    public void setSpeedsSupported(List<String> speedsSupported) {
        this.speedsSupported = speedsSupported;
    }

    public Long getMaxNpivLogins() {
        return maxNpivLogins;
    }

    public void setMaxNpivLogins(Long maxNpivLogins) {
        this.maxNpivLogins = maxNpivLogins;
    }

    public Boolean getNpivSupported() {
        return npivSupported;
    }

    public void setNpivSupported(Boolean npivSupported) {
        this.npivSupported = npivSupported;
    }


    public String getVsan() {
        return vsan;
    }

    public void setVsan(String vsan) {
        this.vsan = vsan;
    }

    public String getAdminMode() {
        return adminMode;
    }

    public void setAdminMode(String adminMode) {
        this.adminMode = adminMode;
    }

    public String getTrunkMode() {
        return trunkMode;
    }

    public void setTrunkMode(String trunkMode) {
        this.trunkMode = trunkMode;
    }

    public String getOperMode() {
        return operMode;
    }

    public void setOperMode(String operMode) {
        this.operMode = operMode;
    }

    public String getSfp() {
        return sfp;
    }

    public void setSfp(String sfp) {
        this.sfp = sfp;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getMtu() {
        return mtu;
    }

    public void setMtu(String mtu) {
        this.mtu = mtu;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFcPortUuid() {
        return fcPortUuid;
    }

    public void setFcPortUuid(String fcPortUuid) {
        this.fcPortUuid = fcPortUuid;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSfpType() {
        return sfpType;
    }

    public void setSfpType(String sfpType) {
        this.sfpType = sfpType;
    }

    public String getWaveLength() {
        return waveLength;
    }

    public void setWaveLength(String waveLength) {
        this.waveLength = waveLength;
    }

    public String getSfpPower() {
        return sfpPower;
    }

    public void setSfpPower(String sfpPower) {
        this.sfpPower = sfpPower;
    }


    public String getMaxBb() {
        return maxBb;
    }

    public void setMaxBb(String maxBb) {
        this.maxBb = maxBb;
    }
}
